Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201312-05 ] SWI-Prolog : Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1571

PostPosted: Fri Dec 06, 2013 6:26 am    Post subject: [ GLSA 201312-05 ] SWI-Prolog : Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: SWI-Prolog : Multiple vulnerabilities (GLSA 201312-05)
Severity: normal
Exploitable: remote
Date: December 06, 2013
Bug(s): #450284
ID: 201312-05

Synopsis

Multiple vulnerabilities have been found in SWI-Prolog which allow
attackers to execute arbitrary code or cause a Denial of Service condition.


Background

SWI-Prolog is a free, small, and standard compliant Prolog compiler.

Affected Packages

Package: dev-lang/swi-prolog
Vulnerable: < 6.2.5
Unaffected: >= 6.2.5
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in SWI-Prolog:
* An error in the canoniseFileName() function could cause a stack-based
buffer overflow (CVE-2012-6089).
* An error in the expand() function could cause a stack-based buffer
overflow (CVE-2012-6090).


Impact

A context-dependent attack can create files with specially crafted
names, causing arbitrary code execution or a denial of service condition.


Workaround

There is no known workaround at this time.

Resolution

All SWI-Prolog users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=dev-lang/swi-prolog-6.2.5"
   


References

CVE-2012-6089
CVE-2012-6090
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum